local myhunger = GetModConfigData("hunger")
local foods = GLOBAL.require("preparedfoods")
local foodname={}
for k,recipe in pairs (foods) do
	foodname[k]=recipe.name
end

local eatmeat={"frogglebunwich","fishsticks","honeynuggets","honeyham","kabobs","baconeggs","meatballs","bonestew","perogies","turkeydinner","fishtacos","monsterlasagna","unagi","frogglebunwich"}


local function OnHungerDelta(inst)
	if  inst.replica.hunger and inst.replica.hunger:GetCurrent()<=myhunger  then
		local player=GLOBAL.ThePlayer
		if player then
			local invent=player.replica.inventory
			local cont=nil
			local eat_back=false
			if GLOBAL.EQUIPSLOTS.BACK then
				cont=invent:GetEquippedItem(GLOBAL.EQUIPSLOTS.BACK)
			else
				cont=invent:GetEquippedItem(GLOBAL.EQUIPSLOTS.BODY)
			end
			if cont~=nil and cont.replica.container then
				local container=cont.replica.container
				for i=1,container:GetNumSlots() do
					local Item=container:GetItemInSlot(i)
					if Item  then
						if player.prefab~="wathgrithr" then
							if table.contains(foodname,Item.prefab)  then
								invent:ControllerUseItemOnSelfFromInvTile(Item)
								eat_back=true
							end
						else
							if table.contains(eatmeat,Item.prefab)  then
								invent:ControllerUseItemOnSelfFromInvTile(Item)
								eat_back=true
							end	
						end
					end
				end
			end
			if eat_back==false then
				for i=1,GLOBAL.GetMaxItemSlots(GLOBAL.TheNet:GetServerGameMode()) do
					local Item2=invent:GetItemInSlot(i)
	
					if Item2  then
						if player.prefab~="wathgrithr" then
							if table.contains(foodname,Item2.prefab)  then
								invent:ControllerUseItemOnSelfFromInvTile(Item2)
							end
						else
							if table.contains(eatmeat,Item2.prefab)  then
								invent:ControllerUseItemOnSelfFromInvTile(Item2)
							end	
						end
					end
				end
			end
		end
	end

end
AddPlayerPostInit(function(inst)
	inst:ListenForEvent("hungerdelta", OnHungerDelta)
end)
--GetPlayer().components.hunger.current=5